Indexhibit Help

PHP version 7.3.6 problem with indexhibit 2.1.6?

mb5006 / 2020-03-02 18:17:39   

Tech support from my new hosting service has identified the reason that I cannot install indexhibit 2.1.6 on their server. I get part way through the installation process (file/folder permissions all ok) but it fails when I submit database credentials. I just get a blank browser window and the database fails to generate new tables.

Tech support diagnosis follows:

[start quote]
The PHP www-error.log on your instance shows the source of the problem :

  1. [02-Mar-2020 17:40:53 GMT] PHP Fatal error:  Uncaught Error: Call to undefined function mysql_connect() in /srv/data/web/vhosts/57d7ef31261d4d3b92cb15f666801f6a.testurl.ws/htdocs/ndxzstudio/install.php:836
  2. Stack trace:
  3. #0 /srv/data/web/vhosts/57d7ef31261d4d3b92cb15f666801f6a.testurl.ws/htdocs/ndxzstudio/install.php(161): Installation->do_installation()
  4. #1 /srv/data/web/vhosts/57d7ef31261d4d3b92cb15f666801f6a.testurl.ws/htdocs/ndxzstudio/install.php(52): Installation->page_two()
  5. #2 /srv/data/web/vhosts/57d7ef31261d4d3b92cb15f666801f6a.testurl.ws/htdocs/ndxzstudio/install.php(1088): Installation->Installation()
  6. #3 {main}
  7.   thrown in /srv/data/web/vhosts/57d7ef31261d4d3b92cb15f666801f6a.testurl.ws/htdocs/ndxzstudio/install.php on line 836

It looks like your website code is not compatible with PHP 7.x. The mysql_connect() function is not available on PHP 7.x, and your code must use mysqli_connect (and the other mysqli driver functions) for interacting with the database when using PHP 7.x.

Reference: php.net/manual/en/…

We recommend you try installing a more recent version of indexhibit.
[end quote]

I'm using the latest version of indexhibit already (2.1.6). I'm stuck :(

Any suggestions about what to try next?

Thanks.

Vaska A / 2020-03-03 04:34:22   

Newer Indexhibit doesn't have mysql_connect (it has mysqli_connect) which means you are not using the right set of files.

This thread has been closed, thank you.